<?php
namespace App\Http\Controllers\Api;

use App\Service\JRFIDServerService;
use Illuminate\Http\Request;

class JRFIDController extends BaseController
{
    public function getSite(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getSite($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getSite2(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getSite2($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getFlowByProduce(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getFlowByProduce($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getProduceByContract(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getProduceByContract($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getPrintData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getPrintData($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getTeam(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getTeam($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function completionOrders(Request $request){
        list($bool, $data) = (new JRFIDServerService())->completionOrders($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function qualityOrders(Request $request){
        list($bool, $data) = (new JRFIDServerService())->qualityOrders($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenPrint(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenPrint($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getContractDrawRoom(Request $request){
        list($bool, $data) = (new JRFIDServerService())->getContractDrawRoom($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenGetProFlow(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetProFlow($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenSend(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenSend($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenPackage(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenPackage($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenGetPackageData(Request $request){
        list($bool, $data) = (new JRFIDServerService())->screenGetPackageData($request->all(),$request->common_param);

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
